apiVersion: v1
kind: Service
metadata:
  labels:
    app: rook-ceph-mgr
    rook_cluster: rook-ceph
  name: rook-ceph-mgr-dashboard-external
  namespace: rook-ceph
  annotations:
    metallb.universe.tf/loadBalancerIPs: 192.168.0.128
spec:
  internalTrafficPolicy: Cluster
  externalTrafficPolicy: Local
  ipFamilies:
  - IPv4
  ipFamilyPolicy: SingleStack
  ports:
  - name: http-dashboard
    port: 8080
    protocol: TCP
    targetPort: 8080
  selector:
    app: rook-ceph-mgr
    mgr_role: active
    rook_cluster: rook-ceph
  sessionAffinity: None
  type: LoadBalancer
---
apiVersion: metallb.io/v1beta1
kind: IPAddressPool
metadata:
  name: dash-pool
  namespace: metallb-system
spec:
  addresses:
  - 192.168.0.128-192.168.0.128
---
apiVersion: metallb.io/v1beta1
kind: L2Advertisement
metadata:
  name: dash-lb
  namespace: metallb-system
spec:
  ipAddressPools:
  - dash-pool
  nodeSelectors:
  - matchLabels:
      app: rook-ceph-mgr
      mgr_role: active
      rook_cluster: rook-ceph
